Bug 1019656 - test failing on big endians
test failing on big endians
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-pillow (Show other bugs)
20
ppc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-10-16 04:16 EDT by Dan Horák
Modified: 2013-11-10 01:27 EST (History)
3 users (show)

See Also:
Fixed In Version: python-pillow-2.2.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:27:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-10-16 04:16:54 EDT
tests are again failing on big endians like ppc and s390, this time it is test_numpy

...
running test_mode_i16 ...
running test_numpy ...
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 480, expected 57345
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 451, expected 49921
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 413, expected 40193
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 404, expected 37889
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 376, expected 30721
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 405, expected 38145
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 419, expected 41729
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 444, expected 48129
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 366, expected 28161
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 428, expected 44033
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 373, expected 29953
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 418, expected 41473
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 450, expected 49665
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 401, expected 37121
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 387, expected 33537
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 405, expected 38145
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 391, expected 34561
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 373, expected 29953
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 409, expected 39169
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 374, expected 30209
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 412, expected 39937
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 456, expected 51201
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 432, expected 45057
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 455, expected 50945
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 363, expected 27393
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 354, expected 25089
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 366, expected 28161
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 383, expected 32513
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 367, expected 28417
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 423, expected 42753
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 382, expected 32257
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 376, expected 30721
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 372, expected 29697
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 416, expected 40961
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 379, expected 31489
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 382, expected 32257
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 364, expected 27649
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 357, expected 25857
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 368, expected 28673
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 373, expected 29953
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 417, expected 41217
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 411, expected 39681
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 388, expected 33793
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 416, expected 40961
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 412, expected 39937
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 461, expected 52481
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 395, expected 35585
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 364, expected 27649
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 358, expected 26113
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 317, expected 15617
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 354, expected 25089
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 410, expected 39425
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 424, expected 43009
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 394, expected 35329
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 372, expected 29697
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 409, expected 39169
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 383, expected 32513
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 379, expected 31489
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 378, expected 31233
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 391, expected 34561
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 341, expected 21761
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 339, expected 21249
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 384, expected 32769
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 388, expected 33793
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 378, expected 31233
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 378, expected 31233
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 374, expected 30209
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 381, expected 32001
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 411, expected 39681
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 365, expected 27905
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 398, expected 36353
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 409, expected 39169
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 338, expected 20993
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 373, expected 29953
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 381, expected 32001
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 403, expected 37633
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 367, expected 28417
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 331, expected 19201
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 365, expected 27905
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 389, expected 34049
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 354, expected 25089
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 358, expected 26113
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 386, expected 33281
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 393, expected 35073
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 338, expected 20993
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 383, expected 32513
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 395, expected 35585
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 406, expected 38401
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 338, expected 20993
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 415, expected 40705
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 399, expected 36609
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 383, expected 32513
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 352, expected 24577
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 404, expected 37889
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 360, expected 26625
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 382, expected 32257
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 365, expected 27905
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 350, expected 24065
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 353, expected 24833
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 357, expected 25857
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 366, expected 28161
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 398, expected 36353
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 361, expected 26881
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 353, expected 24833
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 378, expected 31233
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 381, expected 32001
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 357, expected 25857
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 368, expected 28673
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 365, expected 27905
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 387, expected 33537
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 379, expected 31489
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 362, expected 27137
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 378, expected 31233
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 363, expected 27393
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 338, expected 20993
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 399, expected 36609
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 353, expected 24833
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 349, expected 23809
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 386, expected 33281
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 388, expected 33793
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 409, expected 39169
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 176, expected 45056
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 176, expected 45056
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 110, expected 28160
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 121, expected 30976
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 124, expected 31744
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 121, expected 30976
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 109, expected 27904
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 92, expected 23552
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 59, expected 15104
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 47, expected 12032
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 106, expected 27136
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 181, expected 46336
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 178, expected 45568
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 183, expected 46848
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 184, expected 47104
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 184, expected 47104
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 187, expected 47872
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 192, expected 49152
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 191, expected 48896
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 189, expected 48384
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 190, expected 48640
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 187, expected 47872
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 127, expected 32512
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 120, expected 30720
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 119, expected 30464
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 115, expected 29440
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 119, expected 30464
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 124, expected 31744
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 181, expected 46336
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 145, expected 37120
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 71, expected 18176
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 59, expected 15104
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 62, expected 15872
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 147, expected 37632
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 147, expected 37632
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 129, expected 33024
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 124, expected 31744
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 152, expected 38912
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 145, expected 37120
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 71, expected 18176
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 112, expected 28672
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 166, expected 42496
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 119, expected 30464
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 80, expected 20480
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 150, expected 38400
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 145, expected 37120
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 155, expected 39680
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 173, expected 44288
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 155, expected 39680
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 69, expected 17664
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 58, expected 14848
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 59, expected 15104
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 61, expected 15616
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 82, expected 20992
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 76, expected 19456
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 150, expected 38400
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 184, expected 47104
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 206, expected 52736
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 191, expected 48896
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 114, expected 29184
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 178, expected 45568
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 170, expected 43520
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 156, expected 39936
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 77, expected 19712
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 123, expected 31488
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 158, expected 40448
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 150, expected 38400
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 143, expected 36608
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 210, expected 53760
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 190, expected 48640
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 198, expected 50688
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 188, expected 48128
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 161, expected 41216
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 166, expected 42496
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 177, expected 45312
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 164, expected 41984
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 158, expected 40448
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 175, expected 44800
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 157, expected 40192
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 160, expected 40960
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 190, expected 48640
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 200, expected 51200
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 216, expected 55296
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 148, expected 37888
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 65, expected 16640
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 71, expected 18176
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 214, expected 54784
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 191, expected 48896
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 168, expected 43008
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 170, expected 43520
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 155, expected 39680
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 207, expected 52992
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 208, expected 53248
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 80, expected 20480
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 56, expected 14336
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 158, expected 40448
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 138, expected 35328
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 154, expected 39424
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 124, expected 31744
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 135, expected 34560
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 220, expected 56320
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 54, expected 13824
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 62, expected 15872
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 161, expected 41216
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 173, expected 44288
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 162, expected 41472
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 155, expected 39680
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 146, expected 37376
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 216, expected 55296
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 204, expected 52224
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 143, expected 36608
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 69, expected 17664
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 78, expected 19968
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 172, expected 44032
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 165, expected 42240
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 154, expected 39424
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 197, expected 50432
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 210, expected 53760
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 210, expected 53760
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 133, expected 34048
Tests/test_numpy.py:74: assert_deep_equal(px[x,y], np[y,x]) failed:
- got 91, expected 23296
Tests/test_numpy.py:89: assert_equal(np_img.dtype, numpy.dtype(dtype)) failed:
- got dtype('<u2'), expected dtype('uint16')
--------------------------------------------------------------------
--- 1 test skipped.
['test_imagegrab']
*** 1 test of 90 failed.

for full logs please see
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1455443
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1230384


Version-Release number of selected component (if applicable):
python-pillow-2.2.1-1.fc20
Comment 1 Sandro Mani 2013-10-16 05:47:08 EDT
Thanks for the report, I'll have a look today or tomorrow.
Comment 2 Sandro Mani 2013-10-16 17:16:30 EDT
ppc buildroot is currently broken, but I think I have a good idea where the issue is (for once it is not the test which is little-endian-only, but there actually appears to be a more serious bug in the code).
Comment 3 Sandro Mani 2013-10-18 12:37:34 EDT
Reported upstream: https://github.com/python-imaging/Pillow/issues/385
Comment 4 Sandro Mani 2013-10-18 13:46:04 EDT
Dan, would it be possible to create an account on coho.fedora.osuosl.org for the upstream Pillow developer? See https://github.com/python-imaging/Pillow/issues/385#issuecomment-26615116 for username and ssh key.
Comment 5 Gustavo Luiz Duarte 2013-10-18 16:03:58 EDT
I created an account for wiredfool on chinook.fedora.osuosl.org. Please let me know if you have any problem logging in.
Comment 6 Fedora Update System 2013-10-22 18:42:05 EDT
python-pillow-2.2.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-pillow-2.2.1-2.fc20
Comment 7 Fedora Update System 2013-10-23 13:32:13 EDT
Package python-pillow-2.2.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-pillow-2.2.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19769/python-pillow-2.2.1-2.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-11-10 01:27:55 EST
python-pillow-2.2.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.